Review a claim (predictions, no funding)
curl --request POST \
--url https://api.sandbox.thrivory.com/v1/claims/reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"facility": "ABC",
"claim_identifier": "CLM-10001",
"chart_identifier": "PAT-5678",
"date_of_service": "2025-08-15",
"date_of_submission": "2025-08-16",
"servicer_npi": "1111111111",
"billing_npi": "5556667778",
"patient_primary_payor_id": "thrivoryid:123456",
"service_lines": [
{
"cpt": "J1745",
"modifier": "JW",
"units": 1,
"amount": 5000
}
],
"submitted_amount": 5000
}
'import requests
url = "https://api.sandbox.thrivory.com/v1/claims/reviews"
payload = {
"facility": "ABC",
"claim_identifier": "CLM-10001",
"chart_identifier": "PAT-5678",
"date_of_service": "2025-08-15",
"date_of_submission": "2025-08-16",
"servicer_npi": "1111111111",
"billing_npi": "5556667778",
"patient_primary_payor_id": "thrivoryid:123456",
"service_lines": [
{
"cpt": "J1745",
"modifier": "JW",
"units": 1,
"amount": 5000
}
],
"submitted_amount": 5000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
facility: 'ABC',
claim_identifier: 'CLM-10001',
chart_identifier: 'PAT-5678',
date_of_service: '2025-08-15',
date_of_submission: '2025-08-16',
servicer_npi: '1111111111',
billing_npi: '5556667778',
patient_primary_payor_id: 'thrivoryid:123456',
service_lines: [{cpt: 'J1745', modifier: 'JW', units: 1, amount: 5000}],
submitted_amount: 5000
})
};
fetch('https://api.sandbox.thrivory.com/v1/claims/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authorization_id": "<string>",
"denial_predicted": true,
"expected_reimbursement": {
"expected": 123,
"allowed": 123
},
"denial_reasons": [
{
"code": "<string>",
"description": "<string>"
}
],
"expected_payment_date": "2023-12-25",
"confidence": 0.5,
"id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Claims
Review a claim (predictions, no funding)
Review a claim (predictions, no funding)
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Provide a unique key per request to enable safe retries
Body
application/json
Submit encounter/claim context for prediction. Fields align with Thrivory Data Feed Requirements.
Unique claim ID
Patient chart ID
Pattern:
^[0-9]{10}$Pattern:
^[0-9]{10}$Thrivory payer ID
Location/facility identifier
Prefer service_lines[].cpt
Prefer service_lines[].modifier
Last four digits or token reference
Show child attributes
Show child attributes
Response
Review results
Short‑lived authorization handle used to create an adjudication
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Model confidence
Required range:
0 <= x <= 1Review ID
⌘I